Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class MethodCallModel.VariableArgument

    java.lang.Object
      com.bea.p13n.rules.model.MethodCallModel.VariableArgument

Enclosing class:
  MethodCallModel

    public static final class MethodCallModel.VariableArgument

extends Object

Represents a variable reference method call argument.

Field Summary
`String` | `name` The variable name.
`String` | `typeAlias` The variable type, typically a fully-qualified class name.

Constructor Summary
`MethodCallModel.VariableArgument(String name, String typeAlias)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final String name

  The variable name.

### typeAlias

    public final String typeAlias

  The variable type, typically a fully-qualified class name.

Constructor Detail

### MethodCallModel.VariableArgument

    public MethodCallModel.VariableArgument(String name,
                                            String typeAlias)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.